LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::inspection::PropertyLineElement Constant Group Reference

describes elements of a single line in an object inspector, used to represent a single property More...

## Variables
const short | InputControl = 0x01
| specifies the input control in a group of controls related to a single property More...
const short | PrimaryButton = 0x02
| specifies the primary button (if present) in a group of controls related to a single property More...
const short | SecondaryButton = 0x04
| specifies the secondary button (if present) in a group of controls related to a single property More...
const short | All = 0xFF
| specifies all elements More...

## Detailed Description

describes elements of a single line in an object inspector, used to represent a single property

See also
  XPropertyHandler::describePropertyLine
  LineDescriptor

Since
  OOo 2.0.3

## Variable Documentation

## ◆ All

const short All = 0xFF

specifies all elements

## ◆ InputControl

const short InputControl = 0x01

specifies the input control in a group of controls related to a single property

## ◆ PrimaryButton

const short PrimaryButton = 0x02

specifies the primary button (if present) in a group of controls related to a single property

## ◆ SecondaryButton

const short SecondaryButton = 0x04

specifies the secondary button (if present) in a group of controls related to a single property